package cz.jzitnik;

import java.io.FileInputStream;
import java.io.IOException;

import com.garmin.fit.*;
import com.garmin.fit.Fit.ProtocolVersion;

public class Editor {
    public static void edit(String inputFilePath, String outputFilePath) throws IOException {
        FileInputStream inputStream = new FileInputStream(inputFilePath);
        Decode decode = new Decode();
        MesgBroadcaster mesgBroadcaster = new MesgBroadcaster(decode);
        CustomFitListener listener = new CustomFitListener();

        mesgBroadcaster.addListener(listener);

        decode.read(inputStream, mesgBroadcaster, mesgBroadcaster);

        inputStream.close();

        listener.modifyData();

        FileEncoder fileEncoder = new FileEncoder(new java.io.File(outputFilePath), ProtocolVersion.V1_0);
        for (Mesg mesg : listener.getMessages()) {
            fileEncoder.write(mesg);
        }
        fileEncoder.close();

        System.out.println("Soubor byl úspěšně upraven.");
    }
}
